#include "global.h"
#include "globalt.h"
#include "globalc.h"
#ifndef GLOBMATC_H
#define GLOBMATC_H

struct matrix;

void zero_order_matrix (long lcid);
void first_order_matrix (long lcid);
void internal_gforces (long lcid,double *intfor);
void incr_internal_gforces (long lcid,double *intfor);
void elemvaluesc (long lcid,double *r,long *cn,long ndofe);
void metr_right_hand_side (long lcid,double *rhs,double *flv);
void updateval();
void copy_data();
void approximationc ();
void approximationcoup ();
void internal_coup_fluxes (double *intflux,long n);
void internal_coup_forces (long lcid,double *intflux);
void right_hand_side (long lcid,double *rhs,long n);
void assemble_init_coup_upper (double *rhs);
void approximation_temper ();
void approximation_humid ();
void nodal_nodal_values (double *gv, nonmechquant nmq);
void approximation_inittemper ();
void compute_metr_tempstrains();
void null_mefel_tempstrains();
void null_metr_tempstrains();
void compute_trfel_eigstrains();
void compute_metr_eigstrains();
void null_mefel_eigstrains();
void null_metr_eigstrains();
void export_temp ();
void metr_mefel ();
void mefel_trfel ();
void trfel_mefel ();
void init_trfel_mefel ();

#endif
